Package uk.ac.starlink.topcat

## Class SuffixFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - uk.ac.starlink.topcat.SuffixFileFilter

-     public class SuffixFileFilter
      extends javax.swing.filechooser.FileFilter

  File filter that matches according to filename suffix. Any file which ends in the same string as one of the suffices supplied at construction time is considered to match. This matching is case insensitive. Any directory is considered to match also (this permits navigation in the JFileChooser).
  Since:
    19 Dec 2005
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuffixFileFilter​(java.lang.String[] suffices)` | Constructs a new file filter which selects on the given suffices.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.io.File file)` |
    `boolean` | `equals​(java.lang.Object other)` |
    `java.lang.String` | `getDescription()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuffixFileFilter

          public SuffixFileFilter​(java.lang.String[] suffices)

      Constructs a new file filter which selects on the given suffices. These are matched case-insensitively.
      Parameters:
        `suffices` - array of suitable suffix strings

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `javax.swing.filechooser.FileFilter`

    - #### accept

          public boolean accept​(java.io.File file)

      Specified by:
        `accept` in class `javax.swing.filechooser.FileFilter`

    - #### equals

          public boolean equals​(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`